SFML 3.1.0
Loading...
Searching...
No Matches
Functions
sf::Vulkan Namespace Reference
Window module

Vulkan helper functions. More...

## Functions
bool | isAvailable (bool requireGraphics=true)
| Tell whether or not the system supports Vulkan.
VulkanFunctionPointer | getFunction (const char *name)
| Get the address of a Vulkan function.
const std::vector< const char * > & | getGraphicsRequiredInstanceExtensions ()
| Get Vulkan instance extensions required for graphics.

## Detailed Description

Vulkan helper functions.

This namespace contains functions to help you use SFML for windowing and write your own Vulkan code for graphics.

## Function Documentation

## ◆ getFunction()

VulkanFunctionPointer sf::Vulkan::getFunction | ( | const char * | name | ) |
| nodiscard

Get the address of a Vulkan function.

Parameters

  name | Name of the function to get the address of

Returns
  Address of the Vulkan function, nullptr on failure

## ◆ getGraphicsRequiredInstanceExtensions()

const std::vector< const char * > & sf::Vulkan::getGraphicsRequiredInstanceExtensions | ( |  | ) |
| nodiscard

Get Vulkan instance extensions required for graphics.

Returns
  Vulkan instance extensions required for graphics

## ◆ isAvailable()

bool sf::Vulkan::isAvailable | ( | bool | requireGraphics = true | ) |
| nodiscard

Tell whether or not the system supports Vulkan.

This function should always be called before using the Vulkan features. If it returns false, then any attempt to use Vulkan will fail.

If only compute is required, set requireGraphics to false to skip checking for the extensions necessary for graphics rendering.

Parameters

  requireGraphics |

Returns
  true if Vulkan is supported, false otherwise